# frozen_string_literal: true

require_relative "lib/replit/database/version"

Gem::Specification.new do |spec|
  spec.name          = "replitdb"
  spec.version       = Replit::Database::VERSION
  spec.authors       = ["Jan Lindblom"]
  spec.email         = ["janlindblom@fastmail.fm"]

  spec.summary       = "A gem to access Replit Databases."
  spec.homepage      = "https://github.com/janlindblom/ruby-replitdb"
  spec.license       = "MIT"
  spec.required_ruby_version = Gem::Requirement.new(">= 2.5.0")

  spec.metadata["allowed_push_host"] = "https://rubygems.org"

  spec.metadata["homepage_uri"] = spec.homepage
  spec.metadata["source_code_uri"] = "https://github.com/janlindblom/ruby-replitdb"
  spec.metadata["changelog_uri"] = "https://github.com/janlindblom/ruby-replitdb/blob/main/CHANGELOG.md"

  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f|
       f.match(%r{\A(?:test|spec|features|.github|bin)/}) ||
       f.match(%r{\A(?:.replit|Rakefile|.rubocop.yml|.gitignore|.editorconfig)})
    }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{\Aexe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "pry", "~> 0.14"
  spec.add_development_dependency "rake", "~> 13.0"
  spec.add_development_dependency "rspec", "~> 3.10"
  spec.add_development_dependency "rubocop", "~> 1.7"
  spec.add_development_dependency "rubocop-rake", "~> 0.5"
  spec.add_development_dependency "rubocop-rspec", "~> 2.3"
  spec.add_development_dependency "yard", "~> 0.9"
end
